com.amazonaws.services.elastictranscoder.model

## Class ListPresetsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.elastictranscoder.model.ListPresetsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListPresetsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

The `ListPresetsResponse` structure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListPresetsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListPresetsResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextPageToken()` A value that you use to access the second and subsequent pages of results, if any.
`List<Preset>` `getPresets()` An array of `Preset` objects.
`int` `hashCode()`
`void` `setNextPageToken(String nextPageToken)` A value that you use to access the second and subsequent pages of results, if any.
`void` `setPresets(Collection<Preset> presets)` An array of `Preset` objects.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListPresetsResult` `withNextPageToken(String nextPageToken)` A value that you use to access the second and subsequent pages of results, if any.
`ListPresetsResult` `withPresets(Collection<Preset> presets)` An array of `Preset` objects.
`ListPresetsResult` `withPresets(Preset... presets)` An array of `Preset` objects.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListPresetsResult

    public ListPresetsResult()

### Method Detail

#### getPresets

    public List<Preset> getPresets()

An array of `Preset` objects.

Returns:
  An array of `Preset` objects.

#### setPresets

    public void setPresets(Collection<Preset> presets)

An array of `Preset` objects.

Parameters:
  `presets` - An array of `Preset` objects.

#### withPresets

    public ListPresetsResult withPresets(Preset... presets)

An array of `Preset` objects.

NOTE: This method appends the values to the existing list (if any). Use `setPresets(java.util.Collection)` or `withPresets(java.util.Collection)` if you want to override the existing values.

Parameters:
  `presets` - An array of `Preset` objects.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withPresets

    public ListPresetsResult withPresets(Collection<Preset> presets)

An array of `Preset` objects.

Parameters:
  `presets` - An array of `Preset` objects.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextPageToken

    public void setNextPageToken(String nextPageToken)

A value that you use to access the second and subsequent pages of results, if any. When the presets fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.

Parameters:
  `nextPageToken` - A value that you use to access the second and subsequent pages of results, if any. When the presets fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.

#### getNextPageToken

    public String getNextPageToken()

A value that you use to access the second and subsequent pages of results, if any. When the presets fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.

Returns:
  A value that you use to access the second and subsequent pages of results, if any. When the presets fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.

#### withNextPageToken

    public ListPresetsResult withNextPageToken(String nextPageToken)

A value that you use to access the second and subsequent pages of results, if any. When the presets fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.

Parameters:
  `nextPageToken` - A value that you use to access the second and subsequent pages of results, if any. When the presets fit on one page or when you've reached the last page of results, the value of `NextPageToken` is `null`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListPresetsResult clone()

Overrides:
  `clone` in class `Object`